<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_DATATABLE_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_TIMESHEETS_REVIEW)">
    <form class="ui form" id="filter-form" th:object="${filter}">
      <div class="ui grid">
        <div class="row">
          <div class="seven wide column">
            <h2 class="ui header">
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TIMESHEET_REVIEW}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEW}}"></span>
            </h2>
          </div>
          <div class="three wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown clearable" id="ddl-resources" onchange="search()" th:field="*{resource}">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:each="element : ${resources}" th:text="${element.name}" th:value="${element.id}"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown clearable" id="ddl-fortnight" th:field="*{fortnight}" onchange="search()">
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY_OPTION}}" value=""></option>
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT_FIRST}}" value="1"></option>
                <option th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT_SECOND}}" value="2"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MONTH}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown" id="ddl-months" onchange="search()" th:field="*{month}">
                <option th:each="element : ${months}" th:text="${#dates.monthName(element.date)}" th:value="${element.month}"></option>
              </select>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}"></h4>
            <div class="ui fluid input">
              <select class="ui fluid dropdown" id="ddl-years" onchange="search()" th:field="*{year}">
                <option th:each="element : ${years}" th:text="${element.id}" th:value="${element.id}"></option>
              </select>
            </div>
          </div>
        </div>
      </div>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <br />
    <div th:fragment="review-table" id="review-table">
      <table class="ui compact table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr class="title">
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
            <th class="center aligned nowrap" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOLIDAYS}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VACATIONS}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OCCUPATION}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
            <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWER}}"></th>
            <th class="center aligned"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="timesheet : ${timesheets}">
            <td th:text="${timesheet.resource.name}"></td>
            <td class="center aligned" th:text="${timesheet.startingDay.fortnight}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hours])}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![timeSpent])}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hoursAbsence])}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hoursCompensationDay])}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hoursHoliday])}"></td>
            <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hoursVacation])}"></td>
            <td class="right aligned" th:text="${timesheet.occupation + '%'}"></td>
            <td class="center aligned" th:text="#{${'timesheet.status.' + timesheet.status.id}}"></td>
            <td class="one wide center aligned">
              <th:block th:if="${timesheet.reviewed and timesheet.reviewedBy != null}">
                <th:block th:replace="common/fragments/elements :: avatar-mini(item = ${timesheet.reviewedBy}, size = 'mini')" />
              </th:block>
              <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.reviewed}"></i>
            </td>
            <td class="center aligned">
              <i class="eye outline icon pointer" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${timesheet.status.id > T(pt.com.scrumify.database.entities.TimesheetStatus).SUBMITTED}" th:onclick="'preview(' + ${timesheet.id} + ');'"></i>
              <i class="money check icon pointer" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.status.id > T(pt.com.scrumify.database.entities.TimesheetStatus).SUBMITTED}" th:onclick="'preview(' + ${timesheet.id} + ');'"></i>
            </td>
          </tr>
          <tr class="active total">
            <td th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></td>
            <td></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.totalHours, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.timespent, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.absences, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.compensationDays, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.holidays, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${#numbers.formatInteger(totals.vacations, 0, 'POINT')}"></td>
            <td class="right aligned" th:text="${totals.occupation + '%'}"></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>
        </tbody>
      </table>
    </div>
    <div th:replace="common/fragments/modal :: modal(large, '')"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_TIMESHEET_REVIEW_JS}}"></script>
</body>
</html>